//
//  JailbreakDetection.swift
//  Runner
//
//  Created by Hamza Aleghwairyeen on 26/07/2025.
//



import Foundation

class JailbreakDetection {
    static func isJailbroken() -> Bool {
        let paths = [
            "/Applications/Cydia.app",
            "/Library/MobileSubstrate/MobileSubstrate.dylib",
            "/usr/sbin/sshd",
            "/etc/apt"
        ]
        for path in paths {
            if FileManager.default.fileExists(atPath: path) {
                return true
            }
        }
        return false
    }
}
